<?php defined('SYSPATH') or die('No direct script access.');

/**
	ApiV2 CSSetti.pl
*/
class Payments_CsSetti
{
	public function check($Code, $X1 = NULL, $X2 = NULL)
	{
		$MyUserId = Core::setting()->get('cssetti_id');
		
		if(!ctype_alnum($Code))
			return array(0.0, 'Kod niepoprawny');
		
		$Response = file_get_contents(sprintf('http://cssetti.pl/Api/SmsApiV2CheckCode.php?UserId=%d&Code=%s', $MyUserId, $Code));
		if(is_numeric($Response) && ($Response = floatval($Response)) && $Response > 0)
				return array($Response, 'Konto zostało doładowane');
		
		return array(0.0, 'Kod niepoprawny');
	}
	
	public function rates()
	{
		$Data = json_decode(file_get_contents('http://cssetti.pl/Api/SmsApiV2GetData.php'), true);
		
		$R = array();
		foreach($Data['Numbers'] as $Number)
		{
			$R[] = array(
				'numer' => $Number['Number'],
				'text_sms' => $Data['Code'],
				'cost' => $Number['BruttoPrice'],
				'amount' => $Number['TopUpAmount']
			);
		}
		
		return $R;
	}
}